IE8 Fckedit2.6.X不兼容

 更新时间:2009年04月09日 16:13:27   转载 作者:  
经过测试IE8和FCKEditer出现不兼容的情况,表现在提交数据时Fckediter对象里面的数据为空
经过抓包测试,Fckediter对象根本没有提交任何数据
经过多浏览器(IE7,IE6,Mathon)对比,发觉这一问题只是出现IE8里面
根源估计在于IE8对于Microsoft的Ajax .net 2.0版本出现解析问题
问题特征如下:
系统是由MasterPage产生的页面,里面放入了Fckediter控件
使用了Ajax包含了Fckediter控件;
页面第一次正常访问时,Fckediter可以正常提交数据,但是提交刷新后再次提交新的数据就出现Fckediter里面的数据不能提交的情况,或者是偶尔可以提交;
提交过程中没有看到脚本错误提示,没有服务器端代码异常和错误;
IE6,IE7,Mathon下测试同一功能模块,可以正常使用;
使用IE8所谓的“兼容页面”功能也不能正常提交数据;
升级FCKediter到最新版本问题依旧;
搜索网络,发现之前有人提出Vista下IE7和独立IE8 beta2下出现过类似情况;
由于其他版本浏览器工作正常,所以可以确认IE8有兼容问题,而且这种兼容问题出现的不稳定;
综上所述请各位不要盲目升级系统到IE8,不论是客户端还是对应服务端为了满足那个"兼容性".

相关文章

最新评论